package com.syjy.calculate.conotroller;


import com.syjy.calculate.entity.CalculationFormula;
import com.syjy.calculate.repository.CalculationFormulaRepository;
import com.syjy.calculate.service.AccuracyPassRateCalculateService;
import com.syjy.calculate.vo.ResponseVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Lazy;
import org.springframework.context.support.ClassPathXmlApplicationContext;
import org.springframework.dao.DataAccessException;
import org.springframework.jdbc.core.BeanPropertyRowMapper;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;

@Controller
@RequestMapping("jarCalculate")
public class JarCalculate {
    @Resource
    public JdbcTemplate jdbcTemplate;
    @Autowired
    CalculationFormulaRepository calculationFormulaRepository;

   @GetMapping("test")
    @ResponseBody
    public String test() {
        String aa = "1112";
        return aa;
    }
  @GetMapping("select")
    @ResponseBody
    public ResponseVO select() {
      String sql = "SELECT * from t_calculation_formula";

      List<CalculationFormula> calculationFormulaList = new ArrayList<>();
      try {
          calculationFormulaList = jdbcTemplate.query(sql, new BeanPropertyRowMapper<>(CalculationFormula.class));
      } catch (DataAccessException e) {
          e.printStackTrace();
      }
        return ResponseVO.success(calculationFormulaList);
    }
    @PostMapping("edit")
    @ResponseBody
    public ResponseVO edit(@RequestBody CalculationFormula calculationFormula ) {
        Integer id =calculationFormula.getId();
        String type =calculationFormula.getType();
        Integer orderNo =calculationFormula.getOrderNo();
        String formula =calculationFormula.getFormula();
        String province =calculationFormula.getProvinceEnum();
        String state =calculationFormula.getState();
        try {
        jdbcTemplate.update("update t_calculation_formula set type=?,orderNo=?,formula=?,province_enum=?,state=? where id=?", type, orderNo, formula,province,state,id);
        } catch (DataAccessException e) {
            e.printStackTrace();
        }
        return ResponseVO.success("修改成功");
    }
    @PostMapping("add")
    @ResponseBody
    public ResponseVO add(@RequestBody CalculationFormula calculationFormula) {
        System.out.println("sss"+calculationFormula);

        String type =calculationFormula.getType();
        Integer orderNo =calculationFormula.getOrderNo();
        String formula =calculationFormula.getFormula();
        String province_enum =calculationFormula.getProvinceEnum();



        try {
            jdbcTemplate.update(
                    "INSERT INTO t_calculation_formula(TYPE,ORDERNO,FORMULA,PROVINCE_ENUM) VALUES (?, ?,?,?)",type,orderNo,formula,province_enum
               );
        } catch (DataAccessException e) {
            e.printStackTrace();
        }
        return ResponseVO.success("新增成功");
    }

    @PostMapping( "delet")
    @ResponseBody
    public ResponseVO delete(@RequestBody CalculationFormula calculationFormula) {
        System.out.println("id"+calculationFormula.getId());
    Integer id =calculationFormula.getId();
        try {
            jdbcTemplate.update("delete from t_calculation_formula where id=?", id);
        } catch (DataAccessException e) {
            e.printStackTrace();
        }
        return ResponseVO.success("删除成功");
    }

}
